Skip to main content
POST
Create a booking

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Path Parameters

business_id
string<uuid>
required

Body

application/json
establishment_id
string
required
customer_id
string
required
service_id
string
required
start_time
string<date-time>
required
duration
integer
required

Minutes.

value
number
required
resource_type
string | null

Response

Booking created.

id
string
establishment_id
string | null
provider_id
string | null
customer_id
string | null
service_id
string | null
start_time
string
end_time
string | null
duration
integer
value
number
status
string | null